import { MatchEntity } from './match.entity';
import { MatchQueryProps } from './value-objects/match-query.value-object';

// All properties that a Matching has
export interface MatchingProps {
  query: MatchQueryProps; // the query that induced the matches
  matches: MatchEntity[];
}

// Properties that are needed for a Matching creation
export interface CreateMatchingProps {
  query: MatchQueryProps;
  matches: MatchEntity[];
}
