import { ResponseBase } from '@mobicoop/ddd-library';
import { JourneyResponseDto } from './journey.response.dto';

export class MatchResponseDto extends ResponseBase {
  adId: string;
  role: string;
  frequency: string;
  distance: number;
  duration: number;
  initialDistance: number;
  initialDuration: number;
  distanceDetour: number;
  durationDetour: number;
  distanceDetourPercentage: number;
  durationDetourPercentage: number;
  journeys: JourneyResponseDto[];
}
