import { IsMilitaryTime, IsInt, Min, Max, IsOptional } from 'class-validator';

export class ScheduleItemDto {
  @IsOptional()
  @IsInt()
  @Min(0)
  @Max(6)
  day?: number;

  @IsMilitaryTime()
  time: string;

  @IsOptional()
  @IsInt()
  margin?: number;
}
